Multiple Vulnerabilities in Cisco TelePresence TC and TE Software

2014 年 5 月 2 日 - ライター翻訳版
その他のバージョン: PDFpdf | 英語版 (2014 年 4 月 30 日) | フィードバック

Advisory ID: cisco-sa-20140430-tcte

http://www.cisco.com/cisco/web/support/JP/112/1122/1122529_cisco-sa-20140430-tcte-j.html/

日本語による情報は、英語による原文の非公式な翻訳であり、英語原文との間で内容の齟齬がある場合には、英語原文が優先します。

Revision 1.0

For Public Release 2014 April 30 16:00 UTC (GMT)


要約

Cisco TelePresence TC および TE ソフトウェアは、次の脆弱性の影響を受けます。

  • セッション開始プロトコル(SIP)に関する DoS 脆弱性 6 件
  • Cisco TelePresence TC および TE ソフトウェアの DNS バッファ オーバーフローの脆弱性
  • Cisco TelePresence TC および TE ソフトウェアの入力確認の脆弱性
  • Cisco TelePresence TC および TE ソフトウェアの tshell コマンド実行の脆弱性
  • Cisco TelePresence TC および TE ソフトウェアの DNS ヒープ オーバーフローの脆弱性
  • Cisco TelePresence TC および TE ソフトウェアの U-Boot バッファ オーバーフローの脆弱性
  • Cisco TelePresence TC および TE ソフトウェアの認証されていないシリアル ポート アクセスの脆弱性
  • Cisco TelePresence TC H.225 における DoS 脆弱性
この脆弱性の不正利用に成功した場合、該当システムがリロードされたり、任意のコマンドが実行されたり、あるいは該当システムに対する特権アクセスが取得されたりする可能性があります。

注:本セキュリティ アドバイザリでは、CVE-2014-0160 で特定されている OpenSSL TLS ハートビートの読み取りオーバーランに対する脆弱性(Heartbleed)については記載していません。この脆弱性の影響を受けるシスコ製品の詳細については、以下のリンクの Cisco Security Advisory を参照してください。http://www.cisco.com/cisco/web/support/JP/112/1122/1122331_cisco-sa-20140409-heartbleed-j.html/


シスコはこれらの脆弱性に対応するための無償ソフトウェア アップデートを提供しています。これらの脆弱性を軽減する回避策はありません。このアドバイザリは、次のリンクで確認できます。
http://www.cisco.com/cisco/web/support/JP/112/1122/1122529_cisco-sa-20140430-tcte-j.html/

該当製品

脆弱性が認められる製品

脆弱性のあるバージョンの Cisco TelePresence TC または TE ソフトウェアを実行している次の製品は、本アドバイザリに記載されている脆弱性の影響を受けます。
  • Cisco TelePresence MX Series
  • Cisco TelePresence System EX Series
  • Cisco TelePresence Integrator C Series
  • Cisco TelePresence Profiles Series
  • Cisco TelePresence Quick Set Series
  • Cisco TelePresence System T シリーズ
  • Cisco TelePresence VX Clinical Assistant

脆弱性が認められない製品

他のシスコ製品においてこのアドバイザリの影響を受けるものは、現在確認されていません。

詳細

SIP に関する複数の DoS 脆弱性

Cisco TelePresence TC および TE ソフトウェアの SIP コードに関する複数の脆弱性により、認証されていないリモートの攻撃者によって、該当システムが応答しなくなったり、リロードされたりする可能性があります。
この脆弱性は、巧妙に細工された SIP パケットや不正な SIP パケットの不適切な処理に起因します。攻撃者はこの脆弱性を不正利用することで、該当システムを通じて巧妙に細工された SIP パケットを送信できる可能性があります。

この脆弱性は、UDP または TCP で SIP メッセージが送信されることによってトリガーされる可能性があります。Transport Layer Security(TLS)を介して送信されるメッセージも影響を受けます。UDP と TCP での配信のデフォルト ポートは UDP ポート 5060 と TCP ポート 5060 です。TLS 配信のデフォルト ポートは、TCP ポート 5061 です。

この脆弱性は、Cisco Bug ID CSCud29566登録ユーザ専用)、CSCua64961登録ユーザ専用)、CSCuj94651登録ユーザ専用)、CSCtq72699登録ユーザ専用)、CSCto70562登録ユーザ専用)、CSCua86589登録ユーザ専用)として文書化されています。


この脆弱性には、次の Common Vulnerabilities and Exposures (CVE) ID:CVE-2014-2162、CVE-2014-2163、CVE-2014-2164、CVE-2014-2165、CVE-2014-2166、CVE-2014-2167 が割り当てられています。

Cisco TelePresence TC および TE ソフトウェアの DNS バッファ オーバーフローの脆弱性

Cisco TelePresence TC および TE ソフトウェアの DNS コードの実装面における脆弱性により、認証されていないリモートの攻撃者がバッファをオーバーフローして、システムで任意のコードを実行する可能性があります。

この脆弱性は、変数の不適切な境界チェックに起因します。攻撃者は、巧妙に細工したパケットを挿入することで、この脆弱性を不正利用する可能性があります。

この脆弱性は、Cisco Bug ID CSCty44804登録ユーザ専用)として文書化され、CVE ID CVE-2014-2168 が割り当てられています。

Cisco TelePresence TC および TE ソフトウェアの入力確認の脆弱性

Cisco TelePresence TC および TE ソフトウェアの内部システム スクリプトの実装面の脆弱性により、認証されていないリモートの攻撃者が、root ユーザの権限で任意のコマンドを実行できる可能性があります。

この脆弱性は、該当システムのスクリプトに渡されたパラメータの不適切な検証に起因します。攻撃者は、任意のコマンドを該当スクリプトに引数として渡すことにより、この脆弱性を不正利用する可能性があります。

この脆弱性は、Cisco Bug ID CSCue60211登録ユーザ専用)として文書化され、CVE ID CVE-2014-2169 が割り当てられています。

Cisco TelePresence TC および TE ソフトウェアの tshell コマンド実行の脆弱性

Cisco TelePresence TC および TE ソフトウェアの複数のシステム スクリプトの実装面の脆弱性により、認証されていないリモートの攻撃者が、tshell(tcsh)を経由して root ユーザの権限で任意のコマンドを実行できる可能性があります。

この脆弱性は、該当システムで実行される複数のスクリプトでのコードの不適切な実装に起因します。攻撃者は、該当スクリプトの実行中に任意のコマンドを渡すことにより、この脆弱性を不正利用する可能性があります。

この脆弱性は、Cisco Bug ID CSCue60202登録ユーザ専用)として文書化され、CVE ID CVE-2014-2170 が割り当てられています。

Cisco TelePresence TC および TE ソフトウェアの DNS ヒープ オーバーフローの脆弱性

Cisco TelePresence TC aおよび TE ソフトウェアの SIP コードの脆弱性により、認証されていないリモートの攻撃者が、ヒープ オーバーフロー状態を発生させる可能性があります。この状態により、攻撃者が任意のコードを実行したり、該当システムをリロードする可能性があります。
この脆弱性は、SIP パケットの不適切な処理に起因します。攻撃者は、巧妙に細工された SIP パケットを該当システムへ送信することにより、この脆弱性を不正利用する可能性があります。


この脆弱性は、UDP または TCP で SIP メッセージが送信されることによってトリガーされる可能性があります。Transport Layer Security(TLS)を介して送信されるメッセージも影響を受けます。UDP と TCP での配信のデフォルト ポートは UDP ポート 5060 と TCP ポート 5060 です。TLS 配信のデフォルト ポートは、TCP ポート 5061 です。

この脆弱性は、Cisco Bug ID CSCud81796登録ユーザ専用)として文書化され、CVE ID CVE-2014-2171 が割り当てられています。

Cisco TelePresence TC および TE ソフトウェアの U-Boot バッファ オーバーフローの脆弱性

Cisco TelePresence TC および TE ソフトウェアの U-Boot コンパイラを使用する実行可能ユーティリティの実装面の脆弱性により、認証されていないローカルの攻撃者がバッファ オーバーフローを発生させたり、該当システムで任意のコードを実行したりする可能性があります。
この脆弱性は、U-Boot コンパイラ フラッグ定義時の、内部で実行可能なファイルの不適切な実装に起因します。攻撃者は、該当システムのコマンド ライン インターフェイス(CLI)にアクセスしたり、該当する実行可能ファイルを実行したりすることにより、この脆弱性を不正利用する可能性があります。


この脆弱性は、Cisco Bug ID CSCub67693登録ユーザ専用)として文書化され、CVE ID CVE-2014-2172 が割り当てられています。

Cisco TelePresence TC および TE ソフトウェアの認証されていないシリアル ポート アクセスの脆弱性

Cisco TelePresence TC および TE ソフトウェアの認証コードの脆弱性によ・閨A認証されていないローカルの攻撃者が、シリアル ポートに接続したり、該当システムへの特権アクセスを取得したりする可能性があります。
この脆弱性は、シリアル ポートの認証および認可コントロールの不適切な実装に起因します。攻撃者は、該当ポートに接続したり、一連のコマンドを実行することにより、この脆弱性を不正利用する可能性があります。


この脆弱性は、Cisco Bug ID CSCub67692登録ユーザ専用)として文書化され、CVE ID CVE-2014-2173 が割り当てられています。


Cisco TelePresence TC H.225 における DoS 脆弱性

Cisco TelePresence TC ソフトウェアの H.225 コードにおける脆弱性により、認証されていないリモートの攻撃者が、該当システムの使用可能なメモリを枯渇させたり、リロードを発生させたりする可能性があります。

この脆弱性は、巧妙に細工された H.225 パケットや不正な H.225 パケットの不適切な処理に起因します。攻撃者は、巧妙に細工されたパケットを該当システムへ送信することにより、この脆弱性を不正利用する可能性があります。



この脆弱性は、Cisco Bug ID CSCtq78849登録ユーザ専用)として文書化され、CVE ID CVE-2014-2175 が割り当てられています。

脆弱性スコア詳細

シスコはこのアドバイザリでの脆弱性に対して Common Vulnerability Scoring System(CVSS)に基づいたスコアを提供しています。本セキュリティ アドバイザリでの CVSS スコアは、CVSS バージョン 2.0 に基づいています。

CVSS は、脆弱性の重要度を示唆するもので、緊急性および対応の優先度を決定する組織の手助けとなる標準ベースの評価法です。

シスコでは、基本評価スコア(Base Score)および現状評価スコア(Temporal Score)を提供しています。お客様はこれらを用いて環境評価スコア(Environmental Score)を算出し、自身のネットワークにおける脆弱性の影響度を知ることができます。

シスコは次のリンクで CVSS に関する追加情報を提供しています。

http://www.cisco.com/web/about/security/intelligence/cvss-qandas.html

またシスコでは、各ネットワークにおける環境影響度を算出する CVSS 計算ツールを次のリンクで提供しています。

http://tools.cisco.com/security/center/cvssCalculator.x



CSCud29566, CSCua64961, CSCuj94651, CSCtq72699, CSCto70562, and CSCua86589 - Multiple SIP Denial Of Service Vulnerabilities

Calculate the environmental score of CSCud29566, CSCua64961, CSCuj94651, CSCtq72699, CSCto70562, and CSCua86589

CVSS Base Score - 7.8

Access Vector

Access Complexity

Authentication

Confidentiality Impact

Integrity Impact

Availability Impact

Network

Low

None

None

None

Complete

CVSS Temporal Score - 6.4

Exploitability

Remediation Level

Report Confidence

Functional

Official-Fix

Confirmed




CSCty44804 - Cisco TelePresence TC and TE Software DNS Buffer Overflow Vulnerability

Calculate the environmental score of CSCty44804

CVSS Base Score - 7.6

Access Vector

Access Complexity

Authentication

Confidentiality Impact

Integrity Impact

Availability Impact

Network

High

None

Complete

Complete

Complete

CVSS Temporal Score - 6.3

Exploitability

Remediation Level

Report Confidence

Functional

Official-Fix

Confirmed




CSCue60211 - Cisco TelePresence TC and TE Software Input Validation Vulnerability

Calculate the environmental score of CSCue60211

CVSS Base Score - 9.0

Access Vector

Access Complexity

Authentication

Confidentiality Impact

Integrity Impact

Availability Impact

Network

Low

Single

Complete

Complete

Complete

CVSS Temporal Score - 7.4

Exploitability

Remediation Level

Report Confidence

Functional

Official-Fix

Confirmed




CSCue60202 - Cisco TelePresence TC and TE Software tshell Command Injection Vulnerability

Calculate the environmental score of CSCue60202

CVSS Base Score - 9.0

Access Vector

Access Complexity

Authentication

Confidentiality Impact

Integrity Impact

Availability Impact

Network

Low

Single

Complete

Complete

Complete

CVSS Temporal Score - 7.4

Exploitability

Remediation Level

Report Confidence

Functional

Official-Fix

Confirmed




CSCud81796 - Cisco TelePresence TC and TE Software Heap Overflow Vulnerability

Calculate the environmental score of CSCud81796

CVSS Base Score - 10.0

Access Vector

Access Complexity

Authentication

Confidentiality Impact

Integrity Impact

Availability Impact

Network

Low

None

Complete

Complete

Complete

CVSS Temporal Score - 8.3

Exploitability

Remediation Level

Report Confidence

Functional

Official-Fix

Confirmed




CSCub67693 - Cisco TelePresence TC and TE Software U-Boot Buffer Overflow Vulnerability

Calculate the environmental score of CSCub67693

CVSS Base Score - 6.6

Access Vector

Access Complexity

Authentication

Confidentiality Impact

Integrity Impact

Availability Impact

Local

Medium

Single

Complete

Complete

Complete

CVSS Temporal Score - 5.5

Exploitability

Remediation Level

Report Confidence

Functional

Official-Fix

Confirmed




CSCub67692 - Cisco TelePresence TC and TE Software Unauthenticated Serial Port Access Vulnerability

Calculate the environmental score of CSCub67692

CVSS Base Score - 7.2

Access Vector

Access Complexity

Authentication

Confidentiality Impact

Integrity Impact

Availability Impact

Local

Low

None

Complete

Complete

Complete

CVSS Temporal Score - 6.0

Exploitability

Remediation Level

Report Confidence

Functional

Official-Fix

Confirmed



CSCtq78849 - Cisco TelePresence TC H.225 Denial of Service Vulnerability

Calculate the environmental score of CSCtq78849

CVSS Base Score - 7.8

Access Vector

Access Complexity

Authentication

Confidentiality Impact

Integrity Impact

Availability Impact

Network

Low

None

None

None

Complete

CVSS Temporal Score - 6.4

Exploitability

Remediation Level

Report Confidence

Functional

Official-Fix

Confirmed


影響

この脆弱性の不正利用に成功した場合、該当システムがリロードされたり、任意のコマンドが実行されたり、該当システムに対する特権アクセスが取得されたりする可能性があります。

ソフトウェア バージョンおよび修正

ソフトウェアのアップグレードを検討する場合は、http://www.cisco.com/go/psirt/ の Cisco Security Advisories, Responses, and Notices アーカイブや、後続のアドバイザリを参照して、起こりうる障害を判断し、それに対応できるアップグレード ソリューションを確認してください。

いずれの場合も、アップグレードするデバイスに十分なメモリがあること、現在のハードウェアとソフトウェアの構成が新規リリースで引き続き正しくサポートされていることを十分に確認してください。不明な点については、Cisco Technical Assistance Center(TAC)もしくは契約しているメンテナンス プロバイダーにお問い合わせください。

注:本セキュリティ アドバイザリでは、CVE-2014-0160 で特定されている OpenSSL TLS ハートビートの読み取りオーバーランに対する脆弱性(Heartbleed)については記載していません。
この脆弱性の影響を受けるシスコ製品の詳細については、以下のリンクの Cisco Security Advisory を参照してください。http://www.cisco.com/cisco/web/support/JP/112/1122/1122331_cisco-sa-20140409-heartbleed-j.html/

お客様は、どのソフトウェア リリースにアップグレードするかを決定する前に、Heartbleed の脆弱性に関するシスコのセキュリティ アドバイザリをご一読されるようお勧めします。

次の表は、Cisco TelePresence TC および TE ソフトウェアの各バージョンの最初の修正リリースを示しています。最後の行は、本アドバイザリに記載されている脆弱性がすべて解決されたリリースを示しています。

Cisco TelePresence TC and TE Software First Fixed 4.x Cisco TelePresence TC First Fixed 5.x Cisco TelePresence TC First Fixed 6.x
Cisco TelePresence TE First Fixed 6.0
Cisco TelePresence TC First Fixed 7.x
Cisco TelePresence TC and TE Software SIP Denial of Service Vulnerability - CSCud29566 Migrate to TC 6.x or later Migrate to TC 6.x or later Not Affected Migrate to TC 6.x or later Not Affected
Cisco TelePresence TC and TE Software SIP Denial of Service Vulnerability - CSCua64961 Migrate to TC 6.x or later Migrate to TC 6.x or later Not Affected Not Affected Not Affected
Cisco TelePresence TC and TE Software SIP Denial of Service Vulnerability - CSCuj94651 Migrate to TC 6.x or later Migrate to TC 6.x or later Not Affected Migrate to TC 6.x or later Not Affected
Cisco TelePresence TC and TE Software SIP Denial of Service Vulnerability - CSCtq72699 Migrate to TC 6.x or later Migrate to TC 6.x or later Not Affected Migrate to TC 6.x or later Not Affected
Cisco TelePresence TC and TE Software SIP Denial of Service Vulnerability - CSCto70562 Migrate to TC 5.x or later Not Affected Not Affected Not Affected
Not Affected
Cisco TelePresence TC and TE Software SIP Denial of Service Vulnerability - CSCua86589 Migrate to TC 6.x or later Migrate to TC 6.x or later Not Affected Migrate to TC 6.x or later Not Affected
Cisco TelePresence TC and TE Software DNS Buffer Overflow Vulnerability - CSCty44804 Migrate to TC 6.x or later Migrate to TC 6.x or later Not Affected Migrate to TC 6.x or later
Not Affected
Cisco TelePresence TC and TE Software Input Validation Vulnerability - CSCue60211 Migrate to TC 6.x or later Migrate to TC 6.x or later TC 6.2.0 Migrate to TC 6.x or later
Not Affected
Cisco TelePresence TC and TE Software tshell Command Injection Vulnerability - CSCue60202 Migrate to TC 5.x or later 5.1.7 TC 6.0.1 Migrate to TC 6.x or later
Not Affected
Cisco TelePresence TC and TE Software Heap Overflow Vulnerability - CSCud81796 Migrate to TC 6.x or later Migrate to TC 6.x or later TC 6.0.1 TE 6.0.2 Not Affected
Cisco TelePresence TC and TE Software U-Boot Buffer Overflow Vulnerability - CSCub67693 Migrate to TC 6.x or later Migrate to TC 6.x or later Not Affected Migrate to TC 6.x or later Not Affected
Cisco TelePresence TC and TE Software Unauthenticated Serial Port Access Vulnerability - CSCub67692 Migrate to TC 6.x or later Migrate to TC 6.x or later Not Affected Migrate to TC 6.x or later Not Affected
Cisco TelePresence TC H.225 Denial of Service Vulnerability - CSCtq78849 Migrate to TC 6.x or later Migrate to TC 6.x or later Not Affected Migrate to TC 6.x or later Not Affected
Releases that fix all the vulnerabilities in this advisory Migrate to TC 6.x or later Migrate to TC 6.x or later TC 6.3.1 Migrate to TC 6.x or later TC 7.1.1

回避策

これらの脆弱性を軽減する回避策はありません。

修正済みソフトウェアの入手

シスコはこのアドバイザリに記載された脆弱性に対処する無償のソフトウェア アップデートを提供しています。ソフトウェアの導入を行う前に、お客様のメンテナンス プロバイダーにご相談いただくか、ソフトウェアのフィーチャ セットの互換性およびお客様のネットワーク環境の特有の問題をご確認ください。

お客様がインストールしたりサポートを受けたりできるのは、ご購入いただいたフィーチャ セットに対してのみとなります。そのようなソフトウェア アップグレードをインストール、ダウンロード、アクセスまたはその他の方法で使用した場合、お客様は http://www.cisco.com/en/US/docs/general/warranty/English/EU1KEN_.html に記載のシスコのソフトウェア ライセンスの条項に従うことに同意したことになります。

サービス契約をご利用のお客様

サービス契約をご利用のお客様は、通常のアップデート チャネルからアップグレード ソフトウェアを入手してください。ほとんどのお客様は、Cisco.com の Software Navigator からアップグレードを入手することができます。http://www.cisco.com/cisco/software/navigator.html

サードパーティのサポート会社をご利用のお客様

シスコ パートナー、正規販売代理店、サービス プロバイダーなど、サードパーティのサポート会社と以前に契約していたか、または現在契約しており、その会社からシスコ製品の提供または保守を受けているお客様は、該当するサポート会社に連絡し、正しい処置についてのサポートを受けてください。

回避策や修正の効果は、使用している製品、ネットワーク トポロジー、トラフィックの性質や組織の目的などに関するお客様の状況によって異なります。影響を受ける製品やリリースは多種多様であるため、回避策を実施する前に、対象ネットワークで適用する回避策または修正が最適であることを、お客様のサービス プロバイダーやサポート会社にご確認ください。

サービス契約をご利用でないお客様

シスコから製品を直接購入したもののシスコのサービス契約をご利用いただいていない場合、または、サードパーティ ベンダーから購入したものの修正済みソフトウェアを購入先から入手できない場合は、Cisco Technical Assistance Center(TAC)に連絡してアップグレード ソフトウェアを入手してください。

  • +1 800 553 2447(北米からの無料通話)
  • +1 408 526 7209(北米以外からの有料通話)
  • E メール:tac@cisco.com

無償アップグレードの対象製品であることを証明していただくために、製品のシリアル番号と、本アドバイザリの URL をご用意ください。サービス契約をご利用でないお客様は TAC に無償アップグレードをリクエストしてください。

さまざまな言語向けの各地の電話番号、説明、E メール アドレスなどの、この他の TAC の連絡先情報については、シスコ ワールドワイドお問い合わせ先(http://www.cisco.com/en/US/support/tsd_cisco_worldwide_contacts.html)を参照してください。

不正利用事例と公式発表

Cisco Product Security Incident Response Team(PSIRT)では、本アドバイザリに記載されている脆弱性の不正利用事例とその公表は確認しておりません。

これらの脆弱性は、内部でのテスト中またはサポート ケースの解決中に発見されたものです。

この通知のステータス:FINAL

本アドバイザリは無保証のものとしてご提供しており、いかなる種類の保証を示唆するものでもありません。本アドバイザリの情報およびリンクの使用に関する責任の一切はそれらの使用者にあるものとします。またシスコはいつでも本ドキュメントの変更や更新を実施する権利を有します。

後述する情報配信の URL を省略し、本アドバイザリの記述内容に関して単独の転載や意訳を実施した場合には、事実誤認ないし重要な情報の欠落を含む統制不可能な情報の伝搬が行われる可能性があります。


情報配信

このアドバイザリは次のリンクにある Cisco Security Intelligence Operations に掲載されます。

http://www.cisco.com/cisco/web/support/JP/112/1122/1122529_cisco-sa-20140430-tcte-j.html/

また、このアドバイザリのテキスト版が Cisco PSIRT PGP キーによるクリア署名つきで次の E メールで配信されています。

  • cust-security-announce@cisco.com
  • first-bulletins@lists.first.org
  • bugtraq@securityfocus.com
  • vulnwatch@vulnwatch.org
  • cisco@spot.colorado.edu
  • cisco-nsp@puck.nether.net
  • full-disclosure@lists.grok.org.uk

本アドバイザリに関する今後の更新は Cisco.com に掲載されますが、メーリング リストで配信されるとは限りません。更新内容については、本アドバイザリの URL でご確認ください。


更新履歴

Revision 1.0 2014-April-30 Initial public release

シスコ セキュリティ手順

シスコ製品におけるセキュリティの脆弱性の報告、セキュリティ事故に関するサポート、およびシスコからセキュリティ情報を入手するための登録方法の詳細については、Cisco.com の http://www.cisco.com/web/about/security/psirt/security_vulnerability_policy.html を参照してください。この Web ページには、シスコのセキュリティ アドバイザリに関してメディアが問い合わせる際の指示が掲載されています。すべてのシスコ セキュリティ アドバイザリは、http://www.cisco.com/go/psirt/ で確認することができます。